package org.qatools.remote;

import java.util.List;

import org.apache.log4j.Logger;
import org.qatools.util.QAToolsUtil;
import org.qatools.util.SshUtil;

public abstract class RemoteDirUtil extends QAToolsUtil {
    private static Logger sLogger = Logger.getLogger(RemoteDirUtil.class);

    
	// -------------------------------------------------------------
	// ----- ls
	// -------------------------------------------------------------

    /**
     * Returns a file listing of the remote directory
     */
    public static List<String> ls(RemoteDir rd) {
    	return SshUtil.runCommandGetResults(rd, "ls " + rd.getDir());
    }

    /**
     * Returns a file listing of the remote directory matching the pattern
     */
    public static List<String> ls(RemoteDir rd, String filePattern) {
    	return SshUtil.runCommandGetResults(rd, "cd " + rd.getDir () + "; ls " + filePattern);
    }

}
